<?php error_reporting(0);
if($_REQUEST['data'] != "raw") { ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Archive - Pattaya Mail</title>
<link rel="stylesheet" type="text/css" href="archive.css">
<script src="jquery.min.js" type="text/javascript"></script>
<script src="jquery.dropdown.js" type="text/javascript"></script>
<!-- <script src="jquery.lazyload.js" type="text/javascript"></script> -->
<script type="text/javascript">
  // $(".issue-list img").lazyload({
  //   effect : "fadeIn"
  // });
</script>
</head>

<body>

<div id="archive">
	<div id="filterbar">
		Select Year <a href="#" id="ddyear" data-dropdown="#ddlist-year">Select Year</a>
		Select Month <a href="#" id="ddmonth" data-dropdown="#ddlist-month">Select Month</a>
		<div id="layoutswitch">
			<span id="togrid" class="active">GRID</span>
			<span id="to2col">2-COL</span>
		</div>
	</div>
	<div id="timeline">
		<div class="selyear">
			<div class="rod"></div>
			<?php
			$firstyear = 2002;
			for ($yr = $firstyear; $yr <= date("Y"); $yr++) { ?>
			    <a href="/archive/archivex.php?year=<?php echo $yr; ?>"><?php echo $yr; ?></a>&nbsp;
			<?php } ?>
	    </div>
		<div class="selmonth">
			<a href="#January">January</a>&nbsp;
			<a href="#February">February</a>&nbsp;
			<a href="#March">March</a>&nbsp;
			<a href="#April">April</a>&nbsp;
			<a href="#May">May</a>&nbsp;
			<a href="#June">June</a>&nbsp;
			<a href="#July">July</a>&nbsp;
			<a href="#August">August</a>&nbsp;
			<a href="#September">September</a>&nbsp;
			<a href="#October">October</a>&nbsp;
			<a href="#November">November</a>&nbsp;
			<a href="#December">December</a>&nbsp;
			<div class="rod"></div>
			<span class="reset"></span>
	    </div>
	</div>
	<div id="results">
		<h2>Recent Issues</h2>
		<?php include('archive-controller.php'); ?>
	</div>
</div>
<div id="ddlist-year" class="selyear dropdown dropdown-tip dropdown-anchor-right">
	    <ul class="dropdown-menu">
		<?php
		for ($yr = $firstyear; $yr <= date("Y"); $yr++) { ?>
		    <li><a href="#<?php echo $yr; ?>"><?php echo $yr; ?></a></li>
		<?php } ?>
	    </ul>
</div>
<div id="ddlist-month" class="selmonth dropdown dropdown-tip dropdown-anchor-right">
	    <ul class="dropdown-menu">
			<li><a href="#January">January</a></li>
			<li><a href="#February">February</a></li>
			<li><a href="#March">March</a></li>
			<li><a href="#April">April</a></li>
			<li><a href="#May">May</a></li>
			<li><a href="#June">June</a></li>
			<li><a href="#July">July</a></li>
			<li><a href="#August">August</a></li>
			<li><a href="#September">September</a></li>
			<li><a href="#October">October</a></li>
			<li><a href="#November">November</a></li>
			<li><a href="#December">December</a></li>
	    </ul>
</div>

<script type="text/javascript">
  $(function() {
	var rawdata;
	var activeyear;
	var activemonth;
	var d = new Date();
	var m = d.getMonth()+1;
	var y = d.getFullYear();
  	$('.selyear a').click(function(e) {
  		e.preventDefault();
  		if ($(this).text() == y) {
			$(".selmonth a").slice( m, 12 ).addClass("disable");
		} else {
			$(".selmonth a").removeClass("disable");
		}
  		$('.selmonth').slideUp("fast").slideDown("fast");
		$('.selyear a').removeClass("active");
		$(".selyear a:contains("+$(this).text()+")").addClass("active");
		$("#ddyear").text($(this).text());
  	});
  	$('.selmonth a').click(function(e) {
  		e.preventDefault();
  		if (!$(this).hasClass("disable")) {
	  		if ($(this).hasClass("active")) {
				$('.selmonth a').removeClass("active");
				$('.selmonth .reset').hide();
			} else {
				$('.selmonth a').removeClass("active");
				$(".selmonth a:contains("+$(this).text()+")").addClass("active");
				$("#ddmonth").text($(this).text());
				$('.selmonth .reset').show();
			}
			$('.selmonth span.reset').show();
		}
  	});
  	$('.selmonth span.reset').click(function(e) {
  		e.preventDefault();
  		$('.selmonth a').removeClass("active");
  		$(this).hide();
  	});
    $('#timeline a, .selmonth span.reset, .dropdown-menu a').click(function(e) {
		e.preventDefault();
		if (!$(this).hasClass("disable")) {
			$('html, body').animate({
	        	scrollTop: $("#filterbar").offset().top
	    	}, 800);
			//var rawdata = $(this).attr('href') + "&data=raw";
			activeyear = $("#timeline .selyear").find("a.active").text();
			activemonth = $("#timeline .selmonth").find("a.active").text();
		    rawdata = "http://<?php echo $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF']; ?>?month=" + activemonth.toLowerCase() + "&year=" + activeyear + "&data=raw";
			//alert(rawdata);
			$('#results').fadeTo("800",.4);
			$('#archive').prepend('<div id="loading">Loading...</div>');
			$('.issue-list', function() {
				$.ajax({
					 url: rawdata,
					 type: 'get',
					 success: function(data){
						 if(activemonth != "") {
						 	$('h2').text(activemonth + ' ' + activeyear);
						 } else {
						 	$('h2').text('January - December ' + activeyear);
						 }
						 $('#loading').remove();
						 $('.issue-list').html($(data).find('div.each'));
						 $('.issue-list').append('<div class="clear"></div>');
						 $('#results').fadeTo("4000",1);
					 }
				 }); 
			});
		}
    });

  	$('#layoutswitch span#to2col').click(function(e) {
  		e.preventDefault();
  		$('div.issue-list').removeClass("grid").addClass("twocol");
		$('#layoutswitch span').removeClass("active");
  		$(this).addClass("active");
  	});
  	$('#layoutswitch span#togrid').click(function(e) {
  		e.preventDefault();
  		$('div.issue-list').removeClass("twocol").addClass("grid");
		$('#layoutswitch span').removeClass("active");
  		$(this).addClass("active");
  	});
  });
</script>

<div class="clear"></div>
</body>
</html>
<?php } else { 
include('archive-controller.php');
}
?>